org.apache.commons.codec.language.bm

## Class Rule.Phoneme

- java.lang.Object
- - org.apache.commons.codec.language.bm.Rule.Phoneme

- All Implemented Interfaces:
    Rule.PhonemeExpr
  Enclosing class:
    Rule

      public static final class Rule.Phoneme
      extends Object
      implements Rule.PhonemeExpr

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<Rule.Phoneme>` | `COMPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule.Phoneme(CharSequence phonemeText, Languages.LanguageSet languages)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rule.Phoneme` | `append(CharSequence str)`
    `Languages.LanguageSet` | `getLanguages()`
    `Iterable<Rule.Phoneme>` | `getPhonemes()`
    `CharSequence` | `getPhonemeText()`
    `Rule.Phoneme` | `join(Rule.Phoneme right)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPARATOR

          public static final Comparator<Rule.Phoneme> COMPARATOR

  - ### Constructor Detail

    - #### Rule.Phoneme

          public Rule.Phoneme(CharSequence phonemeText,
                      Languages.LanguageSet languages)

  - ### Method Detail

    - #### append

          public Rule.Phoneme append(CharSequence str)

    - #### getLanguages

          public Languages.LanguageSet getLanguages()

    - #### getPhonemes

          public Iterable<Rule.Phoneme> getPhonemes()

      Specified by:
        `getPhonemes` in interface `Rule.PhonemeExpr`

    - #### getPhonemeText

          public CharSequence getPhonemeText()

    - #### join

          public Rule.Phoneme join(Rule.Phoneme right)

Copyright © 2002-2013 The Apache Software Foundation. All Rights Reserved.